### Method

# Ide Application find_addin_by_module_name

#### Declaration

    IdeApplicationAddin*
    ide_application_find_addin_by_module_name (
      IdeApplication* self,
      const gchar* module_name
    )

#### Description

Finds a loaded `IdeApplicationAddin` within `self` that was part of the plugin matching `module_name`.

Available since: | 3.34

#### Parameters

`module_name` | `const gchar*`
| The name of the plugin module.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeApplicationAddin`
| An `IdeApplicationAddin` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.